FilteredComponentGroup
Keywords: net.corda.core.transactions.FilteredComponentGroup class
Date: 2023-09-18

net.corda.core.transactions

## Class FilteredComponentGroup

- net.corda.core.transactions.ComponentGroup
- - net.corda.core.transactions.FilteredComponentGroup

-     public class FilteredComponentGroup
      extends ComponentGroup

  A FilteredComponentGroup is used to store the filtered list of transaction components of the same type in serialised form. This is similar to `class ComponentGroup`, but it also includes the corresponding nonce per component.

  See Also:
    `class ComponentGroup`

- - ### Constructor Detail

    - #### FilteredComponentGroup

          public FilteredComponentGroup(int groupIndex,
                                        @NotNull
                                        java.util.List<? extends net.corda.core.utilities.OpaqueBytes> components,
                                        @NotNull
                                        java.util.List<? extends net.corda.core.crypto.SecureHash> nonces,
                                        @NotNull
                                        PartialMerkleTree partialMerkleTree)

      A FilteredComponentGroup is used to store the filtered list of transaction components of the same type in serialised form. This is similar to `class ComponentGroup`, but it also includes the corresponding nonce per component.

      See Also:
        `class ComponentGroup`

  - ### Method Detail

    - #### getGroupIndex

          public int getGroupIndex()

    - #### getComponents

          @NotNull
          public java.util.List<net.corda.core.utilities.OpaqueBytes> getComponents()

    - #### getNonces

          @NotNull
          public java.util.List<net.corda.core.crypto.SecureHash> getNonces()

    - #### getPartialMerkleTree

          @NotNull
          public PartialMerkleTree getPartialMerkleTree()

    - #### component1

          public int component1()

    - #### component2

          @NotNull
          public java.util.List<net.corda.core.utilities.OpaqueBytes> component2()

    - #### component3

          @NotNull
          public java.util.List<net.corda.core.crypto.SecureHash> component3()

    - #### component4

          @NotNull
          public PartialMerkleTree component4()

    - #### copy

          @NotNull
          public FilteredComponentGroup copy(int groupIndex,
                                                      @NotNull
                                                      java.util.List<? extends net.corda.core.utilities.OpaqueBytes> components,
                                                      @NotNull
                                                      java.util.List<? extends net.corda.core.crypto.SecureHash> nonces,
                                                      @NotNull
                                                      PartialMerkleTree partialMerkleTree)

      A FilteredComponentGroup is used to store the filtered list of transaction components of the same type in serialised form. This is similar to `class ComponentGroup`, but it also includes the corresponding nonce per component.

      See Also:
        `class ComponentGroup`

    - #### toString

          @NotNull
          public java.lang.String toString()

      A FilteredComponentGroup is used to store the filtered list of transaction components of the same type in serialised form. This is similar to `class ComponentGroup`, but it also includes the corresponding nonce per component.

      See Also:
        `class ComponentGroup`

    - #### hashCode

          public int hashCode()

      A FilteredComponentGroup is used to store the filtered list of transaction components of the same type in serialised form. This is similar to `class ComponentGroup`, but it also includes the corresponding nonce per component.

      See Also:
        `class ComponentGroup`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A FilteredComponentGroup is used to store the filtered list of transaction components of the same type in serialised form. This is similar to `class ComponentGroup`, but it also includes the corresponding nonce per component.

      See Also:
        `class ComponentGroup`